Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

# Enum Class RestrictedSEPACode

java.lang.Object
java.lang.Enum<RestrictedSEPACode>
org.kapott.hbci.sepa.jaxb.pain_008_002_01.RestrictedSEPACode

All Implemented Interfaces:
  `Serializable`, `Comparable<RestrictedSEPACode>`, `Constable`

public enum RestrictedSEPACode extends Enum<RestrictedSEPACode>

Java class for RestrictedSEPACode.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="RestrictedSEPACode">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="SEPA"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SEPA`

## Method Summary

Modifier and Type
Method
Description
`static RestrictedSEPACode`
`fromValue(String v)`
`String`
`value()`
`static RestrictedSEPACode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RestrictedSEPACode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SEPA

public static final RestrictedSEPACode SEPA

## Method Details

### values

public static RestrictedSEPACode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RestrictedSEPACode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static RestrictedSEPACode fromValue(String v)